﻿<!DOCTYPE html>
<html>
<head>
    <title>TriSys Message Box</title>
    <meta charset="utf-8">

<style>

* {
margin: 0;
}

html, body {
height: 100%;
}
</style>

</head>
<body>

	<div class="TriSys-ShowMessage-Wrapper">
        <p id="trisys-messagebox-text" class="TriSys-ShowMessage-Text">
            Writing message...
        </p>

	</div>

    <div class="TriSys-ShowMessage-Footer">

        <div class="TriSys-ShowMessage-Button3rdWidth">

            <button id="buttonLeft" class="k-button k-state-default" style="width:65px"
                    onclick="buttonLeftClick()" title="left">
                left
            </button>

        </div>

        <div class="TriSys-ShowMessage-Button3rdWidth">

            <button id="buttonCentre" class="k-button k-state-default" style="width:65px"
                    onclick="buttonCentreClick()" title="centre">
                centre
            </button>

        </div>

        <div class="TriSys-ShowMessage-Button3rdWidth">

            <button id="buttonRight" class="k-button k-state-default" style="width:65px"
                    onclick="buttonRightClick()" title="right">
                right
            </button>

        </div>

 	</div>

    <script type="text/javascript">

        // We are loaded dynamically after main SPA is loaded
        $(document).ready(function ()
        {
            TriSysApex.UI.messageBoxReady(TriSysApex.UI.CurrentShowMessageParameters);
        });

        function buttonLeftClick()
        {
            executeCallbackFunction(TriSysApex.UI.CurrentShowMessageParameters.ButtonLeftFunction);
        }
        function buttonCentreClick()
        {
            executeCallbackFunction(TriSysApex.UI.CurrentShowMessageParameters.ButtonCentreFunction);
        }
        function buttonRightClick()
        {
            executeCallbackFunction(TriSysApex.UI.CurrentShowMessageParameters.ButtonRightFunction);
        }

        function executeCallbackFunction(fn)
        {
            TriSysApex.UI.CloseTopmostModalPopup();
            clearAllMessages();

            setTimeout(function () { callbackFunctionAfterTimeoutToPreventQueueProblems(fn); }, 500);
        }

        function callbackFunctionAfterTimeoutToPreventQueueProblems(fn)
        {
            if (fn)
            {
                try
                {
                    fn();
                } catch (err)
                {
                    alert(err.message);
                }
            }
        }

        // Clear all messages so that when we open next time, we are clear
        function clearAllMessages()
        {
            $('#trisys-messagebox-text').html("");
            $('#buttonLeft').text("");
            $('#buttonCentre').text("");
            $('#buttonRight').text("");
        }


    </script>

</body>
</html>
